%define module	MP3-Tag
%define name	perl-%{module}
%define version 0.9708
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module for reading tags of MP3 audio files 
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/MP3/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Requires:	perl-Compress-Zlib
BuildRequires:	perl(Compress::Zlib)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Tag is a wrapper module to read different tags of mp3 files. It provides an
easy way to access the functions of separate modules which do the handling
of reading/writing the tags itself.

At the moment MP3::Tag::ID3v1 and MP3::Tag::ID3v2 are supported for read and
write; MP3::Tag::Inf, MP3::Tag::CDDB_File, MP3::Tag::File,
MP3::Tag::LastResort are supported for read access (the information obtained
by parsing CDDB files, .inf file and the filename).

%prep
%setup -q -n %{module}-%{version}
chmod -R u+w examples
chmod 755 examples/*.pl examples/mp3info2 examples/typeset_audio_dir

%build
# -n is here to avoid installation of scripts (they come in examples/ anyway)
%{__perl} Makefile.PL INSTALLDIRS=vendor -n
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README.txt TODO examples
%{perl_vendorlib}/MP3
%{_mandir}/*/*

%changelog
* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9708-1mdv2007.0
- New version 0.9708

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9707-1mdv2007.0
- New release 0.9707
- spec cleanup
- better sources URL

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.9706-1mdk
- New release 0.9706

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9705-1mdk
- New release 0.9705

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9704-1mdk
- New release 0.9704

* Mon Nov 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.9702-1mdk
- 0.9702
- fix perms, don't install scripts in _bindir

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9701-2mdk
- fix perms 

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9701-1mdk
- new version  
- rpmbuildupdate aware
- better summary
- spec cleanup
- fix directory ownership

* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.97-1mdk
- 0.97

* Thu Oct 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-1mdk
- 0.94
- add handy examples scripts in documentation

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.92-1mdk
- 0.92

* Thu Jun 12 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.40-1mdk
- Initial wrap.
